Assign an agent
curl --request POST \
--url https://api.inbox.adraa.ai/api/v1/conversations/{conversationId}/assign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "cmbxgwq1e0000ph01i0j1k2l3"
}
'import requests
url = "https://api.inbox.adraa.ai/api/v1/conversations/{conversationId}/assign"
payload = { "agentId": "cmbxgwq1e0000ph01i0j1k2l3" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agentId: 'cmbxgwq1e0000ph01i0j1k2l3'})
};
fetch('https://api.inbox.adraa.ai/api/v1/conversations/{conversationId}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"conversationId": "cmbxgz9pq0003ph01m4n5o6p7",
"assignment": {
"agentId": "cmbxgwq1e0000ph01i0j1k2l3",
"agentNickname": "sara",
"assignedAt": "2026-06-12T10:30:00.000Z"
}
}{
"error": {
"code": "INVALID_AGENT",
"message": "Invalid agent"
}
}{
"error": {
"code": "INVALID_API_TOKEN",
"message": "Invalid or revoked API token"
}
}{
"error": {
"code": "COMPANY_MISMATCH",
"message": "Agent cannot be assigned to different company conversation"
}
}{
"error": {
"code": "CONVERSATION_NOT_FOUND",
"message": "Conversation not found"
}
}Conversations
Assign an agent
Assigns an agent to a conversation. The agent must be an active member of the workspace. Pass ai as the agentId to assign the workspace’s AI agent. Reassigning replaces the current assignment.
Rate limit: 60 requests per minute.
POST
/
api
/
v1
/
conversations
/
{conversationId}
/
assign
Assign an agent
Authorizations
Workspace API token created in Settings → API. Tokens start with adraa_.
Path Parameters
ID of the conversation. Visible in the console URL when a conversation is open: app.inbox.adraa.ai/<workspace>/conversations/<conversationId>, or list conversations with GET /api/v1/conversations.
Example:
"cmbxgz9pq0003ph01m4n5o6p7"
Body
application/json
ID of the agent to assign (list agents with GET /api/v1/agents), or ai to assign the workspace's AI agent.
Example:
"cmbxgwq1e0000ph01i0j1k2l3"
⌘I